%define name libguess
%define version 1.2
%define release %mkrel 2
%define major 1
%define libname %mklibname guess %major
%define develname %mklibname -d guess


Summary: A high-speed character set detection library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://mirror.billymays.us/%name/%{name}-%{version}.tar.xz
License: BSD
Group: System/Libraries
Url: http://www.atheme.org/project/guess
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: %{_lib}mowgli2-devel >= 2.0.0

%description
Libguess is a high-speed character set detection library. It employs 
discrete-finite automata to deduce the character set of an imput buffer.

%package -n %libname
Group: System/Libraries
Summary: A high-speed character set detection library

%description -n %libname
Libguess is a high-speed character set detection library. It employs 
discrete-finite automata to deduce the character set of an imput buffer.

%package -n %develname
Group: Development/Libraries
Summary: A high-speed character set detection library
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release

%description -n %develname
Libguess is a high-speed character set detection library. It employs 
discrete-finite automata to deduce the character set of an imput buffer.

Install this if you want to build applications with %name.

%prep
%setup -q -n %name-%version

%build
./autogen.sh
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files -n %libname
%defattr(-,root,root)
%doc README COPYING
%_libdir/libguess.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%_libdir/libguess.so
%_libdir/pkgconfig/%name.pc
%_includedir/%name


%changelog
* Mon Aug 15 2016 adrianomorselli <adrianomorselli> 1.2-2uplos2014
- rebuild

* Thu Apr 24 2014 bb <bb> 1.2-2pclos2014
- fix br for macro library mowgli2-devel for 32/64bit builds
- change development rpm group to Development/Libraries

* Thu Apr 24 2014 ghostbunny <ghostbunny at gmx dot de> 1.2-1pclos2014
- 1.2 (Note: this is a git snapshot not a official release but it is 
  required for the new audacious release)

* Sat Jul 24 2010 pcserver <pcserver  at hush.com> 1.0-1pclos2010
- 1.0

